function plot_region_patches(tri_region_ind, T, pts, axish, tri_col)

for r=1:length(tri_region_ind)
    region_tri_ind = tri_region_ind{r};
    region_tri = T(region_tri_ind,:);
    if nargin<5
        col = rand(1,3);
    else
        col = tri_col(r, :);
    end
    for t = 1:size(region_tri,1)
        rpts = pts(region_tri(t,:),:);
        
        patch(rpts(:,1), rpts(:,2),col, 'EdgeColor', 'w', 'parent', axish);
    end
end